> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert reserved fixed IP

> Convert an unassigned reserved fixed IP to another resource type.
The reserved fixed IP must not be attached to any device (status must be AVAILABLE).
Only reserved fixed IPs on external networks can be converted.

Note: In rare cases, if the conversion fails due to concurrent network operations,
the original IP address may be lost and a new one will need to be created.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/reserved_fixed_ips/{project_id}/{region_id}/{port_id}/convert
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/reserved_fixed_ips/{project_id}/{region_id}/{port_id}/convert:
    post:
      tags:
        - Reserved IPs
      summary: Convert reserved fixed IP
      description: >-
        Convert an unassigned reserved fixed IP to another resource type.

        The reserved fixed IP must not be attached to any device (status must be
        AVAILABLE).

        Only reserved fixed IPs on external networks can be converted.


        Note: In rare cases, if the conversion fails due to concurrent network
        operations,

        the original IP address may be lost and a new one will need to be
        created.
      operationId: ReservedFixedIPConvertHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 4
            examples:
              - 4
            title: Region Id
            type: integer
        - in: path
          name: port_id
          required: true
          description: Port ID
          schema:
            description: Port ID
            example: ac177f1f-eb04-42c4-9864-e7d6486813af
            examples:
              - ac177f1f-eb04-42c4-9864-e7d6486813af
            format: uuid4
            title: Port Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConvertReservedFixedIPSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
components:
  schemas:
    ConvertReservedFixedIPSerializer:
      description: Serializer for reserved fixed IP conversion request.
      properties:
        target_type:
          $ref: '#/components/schemas/ReservedFixedIPConversionTargetType'
          description: Target type for conversion
          examples:
            - floating_ip
      required:
        - target_type
      title: ConvertReservedFixedIPSerializer
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    ReservedFixedIPConversionTargetType:
      enum:
        - floating_ip
      title: ReservedFixedIPConversionTargetType
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````